@import (reference) '../../less/platoreso.less';

#mainMenu {
  height: @menuHeight;
  background-color: #263238;
  box-shadow: rgba(0,0,0,0.25) 0 1px 3px;

  // We don't want the separator
  &.ui.inverted.menu .item:before {
    background: none;
  }

  .warning & {
    top: @warningHeight;
  }

  .static.item {
    padding: 0;
    align-items: stretch;
    .open {
      display: none;
      flex: 1 1 auto;
      justify-content: flex-end;
      padding: 0;
      font-size: 1.5em;
    }
  }

  .logo {
    //width: @sideMenuWidth;
    display: block;
    //text-align: center;
    padding: 0;
    img {
      display: inline-block;
    }
  }

  .item {
    .name {
      display: none;
    }
  }

  .projectsMenu {
    .item {
      overflow: hidden;
      text-overflow: ellipsis;
      white-space: nowrap;
    }
  }

  .right.menu {
    .dropdown.icon {
      display: none;
    }
  }

  .dropdown .menu {
    border-top: 1px solid @darkerBackground;
  }

  @media (max-width: @tabletBreakpoint) {
    flex-direction: column;
    overflow: hidden;

    &.opened {
      height: auto;
      max-height: 100%;
      overflow: visible;
    }
    .static.item {
      .logo {
        flex: 0 0 auto;
      }
      .open {
        display: flex;
      }
    }
    .item {
      justify-content: center;
      .name {
        display: initial;
      }
    }
    .menu {
      flex-direction: column;
    }
    .right.menu {
      .dropdown.icon {
        display: initial;
      }
    }
  }
}
